title: Cluster
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
          localizable: true
      -
        handle: intro_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          display: 'Intro image'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          instructions: 'Home image'
          visibility: visible
          always_save: false
      -
        handle: location
        field:
          placeholder: '45.866667, 8.983333'
          input_type: text
          antlers: false
          display: Location
          type: text
          icon: text
          instructions: 'Paste coordinate like this: 45.866667, 8.983333'
          listable: hidden
          instructions_position: above
      -
        handle: hero_type
        field:
          options:
            image: image
            image_small: 'Image Small'
            video: Video
            video_small: 'Video Small'
          inline: true
          cast_booleans: false
          default: image
          display: 'Hero type'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: m-text-images-variant1
        field:
          options:
            module-background--white: white
            grid-container--gray: gray
          inline: true
          cast_booleans: false
          default: module-background--white
          display: 'Text and images background 1'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: list_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          display: 'List image'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          max_files: 3
      -
        handle: intro_title
        field:
          input_type: text
          antlers: false
          display: 'Intro title'
          type: text
          icon: text
          listable: hidden
          instructions_position: above
          validate:
            - required
          localizable: true
      -
        handle: intro
        field:
          always_show_set_button: false
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          display: Intro
          type: bard
          icon: bard
          listable: hidden
          instructions_position: above
          validate:
            - required
          localizable: true
      -
        handle: intro_2nd_part
        field:
          always_show_set_button: false
          previews: true
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          remove_empty_nodes: false
          display: 'Intro 2nd part'
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: intro_images
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          max_files: 3
          display: 'Intro images'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          localizable: true
      -
        handle: seo_title
        field:
          input_type: text
          antlers: false
          display: 'SEO Title'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: seo_description
        field:
          antlers: false
          display: 'SEO Description'
          type: textarea
          icon: textarea
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: date
        field:
          type: date
          required: true
          validate:
            - required
      -
        handle: parent
        field:
          type: entries
          collections:
            - pages
          max_items: 1
          listable: false
          localizable: true
      -
        handle: template
        field:
          hide_partials: true
          display: Template
          type: template
          icon: template
          listable: hidden
          instructions_position: above
  blocco_testo:
    display: 'Blocco Testo'
    fields:
      -
        import: generic_box
        prefix: text_
  alloggi:
    display: Alloggi
    fields:
      -
        import: box_rooms
        prefix: alloggi_
  restaurants:
    display: Ristoranti
    fields:
      -
        import: box_ristoranti
        prefix: restaurants_
  experiences:
    display: Esperienze
    fields:
      -
        import: box_experience
        prefix: experiences_
  valli:
    display: Valli
    fields:
      -
        import: box_valli
        prefix: valli_
